Visit the LQ Articles and Editorials section
Go Back > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Slackware This Forum is for the discussion of Slackware Linux.


  Search this Thread
Old 09-21-2005, 02:30 PM   #1
Registered: Oct 2004
Location: Norway
Distribution: Slackware, CentOS
Posts: 635

Rep: Reputation: 35
nfs warning: mount version older than kernel

I have for a while been getting the following warning on boot

nfs warning: mount version older than kernel
This is on a stock slackware-current system running the /testing 2.6.13 kernel that comes with 10.2/-current.

The system is a 10.2 Slackware which mounts several NFS volumes from another Slackware-current server running

Google tells me I need to upgrade my package containing mount, but as far as I can see, the latest Slackware comes with the latest mount etc, so that doesn't really explain it to me.

Could anyone with slightly more insight on this than me kindly elaborate? I want to have my system as fine-tuned as possible and thus am a firm believer in investigating and getting rid of warnings.

Old 09-21-2005, 02:36 PM   #2
Senior Member
Registered: Nov 2000
Location: Seattle, WA USA
Distribution: Ubuntu @ Home, RHEL @ Work
Posts: 3,892
Blog Entries: 1

Rep: Reputation: 66
I believe that means that the kernel your running the nfs server on is using nfsv3 and the client is using nfsv4....
Old 09-21-2005, 04:00 PM   #3
Bruce Hill
HCL Maintainer
Registered: Jun 2003
Location: McCalla, AL
Distribution: Gentoo / Funtoo
Posts: 6,926

Rep: Reputation: 126Reputation: 126
In the kernel, NFS_V4 also.

Can you email me, Yalla-One? Sorry to have lost contact ...


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
nfs warning: mount version older than kernel dgermann Linux - Networking 4 07-04-2005 05:30 PM
kernel build problems -how to install older gcc version? kpachopoulos Fedora 3 07-04-2005 09:56 AM
Gaim : Warning :: "Older version present" koodoo Linux - Newbie 1 06-09-2005 12:39 AM
WARNING: DNS record is older than 3 hours drake_101 Linux - Newbie 0 01-05-2005 10:57 PM
Latest NFS version for Redhat 7.3 using 2.4.24 Kernel? mattingg Linux - Networking 0 02-17-2004 11:55 AM

All times are GMT -5. The time now is 08:53 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration